KFIFO_ALLOC(9)

NAME
kfifo_alloc - dynamically allocates a new fifo buffer

SYNOPSIS

kfifo_alloc(fifo, size, gfp_mask);

ARGUMENTS

fifo
    pointer to the fifo

size
    the number of elements in the fifo, this must be a power of 2

gfp_mask
    get_free_pages mask, passed to kmalloc

DESCRIPTION

This macro dynamically allocates a new fifo buffer.

The numer of elements will be rounded-up to a power of 2. The fifo will be release with kfifo_free. Return 0 if no error, otherwise an error code.

COPYRIGHT